%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}

Name:           glite-lb-logger-msg
Version:        1.2.13
Release:        2%{?dist}
Summary:        Plugin for sending notifications to messaging infrastructure

License:        ASL 2.0
URL:            http://glite.cern.ch
Source:         http://scientific.zcu.cz/emi/emi.lb.logger-msg/%{name}-%{version}.tar.gz
# https://github.com/CESNET/glite-lb/commit/b92e20cc3a0c4088c74a7ce4c2b8e20dd7807a16
Patch1:         man-pages.patch

BuildRequires:  activemq-cpp-devel
# apr-devel needed only for activemq-cpp <= 3.4 (Fedora <= 19)
BuildRequires:  apr-devel
BuildRequires:  cppunit-devel
BuildRequires:  glite-lb-logger-devel
BuildRequires:  glite-lbjp-common-log-devel
BuildRequires:  glite-lbjp-common-trio-devel
BuildRequires:  libtool
BuildRequires:  perl
%if 0%{?rhel} >= 7 || 0%{?fedora}
BuildRequires:  perl-Pod-Perldoc
%endif
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(Pod::Man)
BuildRequires:  perl(POSIX)
BuildRequires:  pkgconfig
Requires:       crontabs
Requires:       perl-LDAP
Requires:       glite-lb-logger%{?_isa}

%description
L&B logger plugin for delivering notification messages to messaging
infrastructure.


%prep
%setup -q
%patch1 -p2


%build
perl ./configure --root=/ --prefix=%{_prefix} --libdir=%{_lib} --docdir=%{_pkgdocdir} --sysdefaultdir=%{_sysconfdir}/sysconfig
# missing dependency on apr in .pc file for activemq-cpp <= 3.4.x
%if 0%{?fedora} && 0%{?fedora} <= 19
echo >> Makefile.inc
echo "ACTIVEMQ_CPP_CFLAGS+=`pkg-config --cflags apr-1`" >> Makefile.inc
%endif
CFLAGS="%{?optflags}" LDFLAGS="%{?__global_ldflags}" make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}
rm -f %{buildroot}%{_libdir}/*.a
rm -f %{buildroot}%{_libdir}/*.la


%files
%doc ChangeLog LICENSE config/msg.conf.example
%dir %{_sysconfdir}/glite-lb/
%dir %{_libdir}/glite-lb/
%dir %{_libdir}/glite-lb/examples/
%config(noreplace) %{_sysconfdir}/cron.d/%{name}
%{_libdir}/activemq_cpp_plugin.so
%{_libdir}/activemq_cpp_plugin.so.0
%{_libdir}/activemq_cpp_plugin.so.0.0.0
%{_libdir}/glite-lb/examples/glite-lb-cmsclient
%{_sbindir}/glite-lb-msg-*
%{_mandir}/man8/*.8*


%changelog
* Fri Sep 26 2014 František Dvořák <valtri@civ.zcu.cz> - 1.2.13-2
- Added link to upstream man pages patch

* Tue Jul 01 2014 František Dvořák <valtri@civ.zcu.cz> - 1.2.13-1
- New release 1.2.13 (L&B 4.1.2)
- Added man pages
- Consistent style with buildroot macro

* Sun Jun 01 2014 František Dvořák <valtri@civ.zcu.cz> - 1.2.12-1
- New release 1.2.12 (L&B 4.1.1)

* Fri Feb 07 2014 František Dvořák <valtri@civ.zcu.cz> - 1.2.11-1
- Initial package
